﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SortingXamGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            xamGrid1_1.ItemsSource = GetEmployeeData();
        }


        private List<Department> GetDepartments()
        {
            var deptList1 = new List<Department>();
            for (int i = 0; i < 3; i++)
            {
                deptList1.Add(new Department()
                {
                    DeptId = i+1,
                    DeptName = "Development",
                    DeptAddress = "Whippany"
                });
            }
            
            return deptList1;
        }

        private List<Employee> GetEmployeeData()
        {
            var empList = new List<Employee>();
            var deptList1 = new List<Department>();

            deptList1 = GetDepartments();

            for (int i = 0; i < 3; i++)
            {
                if (i == 1)
                {
                    empList.Add(new Employee()
                    {
                        EmpId = i+1,
                        EmpName = "abcd"
                    });
                }
                else
                {
                    empList.Add(new Employee()
                    {
                        EmpId = i+1,
                        EmpName = "abcd",
                        Departments = deptList1
                    });
                }
            }

            return empList;
        }

        private void gridName2_Loaded(object sender, RoutedEventArgs e)
        {
            ((XamGrid)e.Source).Height = ((XamGrid)e.Source).Rows.Count == 0 ? 25 : 100;
        }
    }
}
